%define name espeak
%define version 1.46.02
%define release %mkrel 1

%define major 1
%define libname %mklibname %name %major
%define libnamedev %mklibname -d %name

#disable autorequires on portaudio since we build with portaudio0
#define _requires_exceptions devel(libportaudio

Summary: Text to speech synthesis engine
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://downloads.sourceforge.net/project/espeak/%{name}/%{name}-%{version}/%{name}-%{version}-source.tar.xz
Source1: espeak.1
#Fedora: make it work with pulseaudio enabled or disabled
Patch2: espeak-1.42.04-runtime-detection.patch
License: GPLv3+
Group: Sound
Url: http://espeak.sourceforge.net/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: libportaudio2-devel
BuildRequires: pulseaudio-devel
Requires: sox

%description
eSpeak is a compact open source software speech synthesizer for
English and other languages.

eSpeak produces good quality English speech. It uses a different
synthesis method from other open source TTS engines, and sounds quite
different. It's perhaps not as natural or "smooth", but I find the
articulation clearer and easier to listen to for long periods.

%package -n %libname
Group: System/Libraries
Summary: Text to speech library
Requires: %name >= %version

%description -n %libname
eSpeak is a compact open source software speech synthesizer for
English and other languages.

eSpeak produces good quality English speech. It uses a different
synthesis method from other open source TTS engines, and sounds quite
different. It's perhaps not as natural or "smooth", but I find the
articulation clearer and easier to listen to for long periods.

%package -n %libnamedev
Group: Development/C++
Summary: Text to speech library
Requires: %libname = %version
Provides: libespeak-devel = %version-%release
Obsoletes: %mklibname -d %name %major

%description -n %libnamedev
eSpeak is a compact open source software speech synthesizer for
English and other languages.

eSpeak produces good quality English speech. It uses a different
synthesis method from other open source TTS engines, and sounds quite
different. It's perhaps not as natural or "smooth", but I find the
articulation clearer and easier to listen to for long periods.


%prep
%setup -q -n %name-%version-source
%patch2 -p1
chmod 644 ReadMe ChangeLog.txt License.txt
rm -f src/portaudio.h

%build
pushd src
%make CXXFLAGS="%{optflags}" LDFLAGS="%{?ldflags}"
popd

%install
rm -rf %{buildroot}
pushd src
%makeinstall_std BINDIR=%_bindir INCDIR=%_includedir/%name LIBDIR=%_libdir DATADIR=%_datadir/%name-data LDFLAGS="%{?ldflags}"
popd

install -m 644 -D %SOURCE1 %buildroot%_mandir/man1/%name.1

rm -f %{buildroot}%{_libdir}/*.a

%clean
rm -rf %{buildroot}

%post -n %libname
/sbin/ldconfig

%postun -n %libname
/sbin/ldconfig


%files
%defattr(-,root,root)
%doc ReadMe ChangeLog.txt License.txt docs
%_bindir/%name
%_datadir/%name-data
%_mandir/man1/%name.1*

%files -n %libname
%defattr(-,root,root)
%_libdir/libespeak.so.%{major}*

%files -n %libnamedev
%defattr(-,root,root)
%_includedir/%name
%_libdir/libespeak.so


%changelog
* Mon Feb 25 2013 ghostbunny <hmhaase at pclinuxosusers dot de> 1.46.02-1pclos2013
- 1.46.02
- removed patch0 (fixed in source)
- fixed patch1
- added remove of static library
- converted source to tar.xz
- replaced make by make macro to increase build speed
- fixed file name which are affected by chmod in line 71, also in files section

* Tue Jul 20 2010 Texstar <texstar at gmail.com> 1.43-2pclos2010
- rebuild against updated ffmpeg

* Wed Jun 02 2010 pcserver <pcserver at hush.com> 1.43-1pclos2010
- import from mdv for kdeaccessibilty

